detox (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/020_use-distro-fortify-source.patch: refreshed.
  * debian/tests/control: updated test #3.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 19 Aug 2025 06:24:28 -0300

detox (2.0.0-4) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/patches/020_use-distro-fortify-source.patch: created to allow
    distro build flags to define _FORTIFY_SOURCE. Thanks to Nick Rosbrook
    <enr0n@ubuntu.com>. (Closes: #1080967, LP: #2079767)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 05 Sep 2024 23:13:29 -0300

detox (2.0.0-3) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
      - Removed strace and valgrind for mips64el and powerpc in Build-Depends
        field to avoid a FTBFS.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 04 May 2024 16:18:32 -0300

detox (2.0.0-2) experimental; urgency=medium

  * debian/control:
      - Limiting valgrind to some architectures in Build-Depends field.
      - Added strace to Build-Depends field for the same architectures used for
        valgrind.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 29 Apr 2024 22:17:33 -0300

detox (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0.
  * debian/control: updated Build-Depends field to make it compliant with the
    new upstream release. Consequently:
      - Added pkgconf and valgrind.
      - Removed libfl-dev.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/010_remove-license-file.patch: created to avoid the LICENSE
    file (from upstream) installation.
  * debian/tests/control: updated the CI tests 2 and 3 to make them compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 28 Apr 2024 22:22:44 -0300

detox (1.4.5-5) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright:
      - Added Upstream-Contact field.
      - Updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 20 Sep 2023 09:46:01 -0300

detox (1.4.5-4) unstable; urgency=medium

  * debian/tests/control: reverted the changes from egrep to 'grep -E'.
    See #1019335.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 20 Sep 2022 16:02:16 -0300

detox (1.4.5-3) unstable; urgency=medium

  * debian/rules: replaced override_dh_auto_install by
    execute_after_dh_auto_install.
  * debian/tests/control: replaced 'egrep' by 'grep -E' to avoid stderr because
    there is a warning about egrep and fgrep commands since grep 3.8.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 08 Sep 2022 22:45:37 -0300

detox (1.4.5-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright: updated packaging copyright years.
  * debian/tests/control:
      - Set the first test as superficial.
      - Added egrep commands to confirm the results produced from each
        non-superficial test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 10 Aug 2022 01:19:44 -0300

detox (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 15 Aug 2021 16:04:49 -0300

detox (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4.
  * debian/copyright: updated upstream email address.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 14 Aug 2021 20:48:32 -0300

detox (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 05 Feb 2021 23:58:45 -0300

detox (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2. (Closes: #861537)
  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/tests/: added a new test and files to check #861537 (detox over
    UTF-8 filenames).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 31 Jan 2021 16:15:56 -0300

detox (1.3.0-8) unstable; urgency=medium

  * debian/tests/control: reorganized and improved tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 12 May 2020 16:19:19 -0300

detox (1.3.0-7) unstable; urgency=medium

  * debian/upstream/metadata: fixed a mistake. Thanks to Thiago Andrade Marques.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 08 May 2020 13:23:09 -0300

detox (1.3.0-6) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Migrated DH level to 13.
  * debian/copyright: updated packaging copyright years.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 May 2020 22:51:21 -0300

detox (1.3.0-5) unstable; urgency=medium

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.4.1.
  * debian/copyright: updated packaging copyright years.
  * debian/rules: created override_dh_auto_install to drop all .sample files
    because they aren't useful for Debian users.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 24 Nov 2019 22:04:39 -0300

detox (1.3.0-4) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.2.1.
  * debian/tests/control:
      - Added new tests.
      - Removed unneeded Depends fields.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 12 Dec 2018 23:21:47 -0200

detox (1.3.0-3) unstable; urgency=medium

  * Migrated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.0.
      - Changed Vcs-* URLs to salsa.debian.org.
      - Removed no longer needed build dependency dh-autoreconf.
  * debian/copyright:
      - Updated packaging copyright years.
      - Using a secure copyright format in URI.
  * debian/tests/*: added to perform tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Aug 2018 07:20:14 -0300

detox (1.3.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: bumped Standards-Version to 4.0.0.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 18 Jun 2017 23:53:04 -0300

detox (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: updated. The upstream renamed config_file_y.c and
    config_file_y.h to src/config_file_yacc.c and src/config_file_yacc.h.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 05 Mar 2017 08:57:38 -0300

detox (1.2.1-1) experimental; urgency=medium

  * New upstream release.
  * New upstream homepage. (Closes: #855979)
  * debian/control: improved long description. (Closes: #856022)
  * debian/copyright:
      - Removed the reference to debian/inline-detox.1, now in upstream tree.
      - Updated the license for config_file_y.* from GPL-2+ with Bison
        exception to GPL-3+ with Bison exception and BSD-3-Clause.
      - Updated the upstream email address. (Closes: #855979)
      - Updated the upstream and packaging copyright years.
  * debian/docs:
      - Added THANKS.md.
      - Changed from README to README.md.
  * debian/inline-detox.1: removed. The upstream is providing this file now.
  * debian/manpages: no longer needed. Removed.
  * debian/patches/: removed all patches because the upstream fixed the source
    code. Thanks!
  * debian/rules: removed '--with autoreconf' because it is default for DH 10.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 28 Feb 2017 20:21:18 -0300

detox (1.2.0-9) unstable; urgency=medium

  * debian/control: added libfl-dev to Build-Depends field.
    Thanks to Helmut Grohne <helmut@subdivi.de>. (Closes: #846420)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 01 Dec 2016 11:02:40 -0200

detox (1.2.0-8) unstable; urgency=medium

  * debian/copyright:
      - Added a new primary email address for upstream,
        making secondary the current address.
      - Removed an outdated upstream email address.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Nov 2016 18:47:27 -0200

detox (1.2.0-7) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Improved the long description.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright:
      - Little adjustments in upstream years and license name.
      - Updated the packaging copyright years.
  * debian/patches/: renumbered all patches.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 22 Oct 2016 14:07:16 -0200

detox (1.2.0-6) unstable; urgency=medium

  * New maintainer. Thanks a lot to Patrick Schoenfeld, the first maintainer,
      for your work.
  * Migrations:
      - debian/copyright to 1.0 format.
      - DebSrc to 3.0 format.
      - DH level to 9.
      - Using dh-autoreconf now.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Changed Priority field from extra to optional.
      - Little improvements in long description.
      - Removed quilt from Build-Depends field.
      - Updated the Vcs-* fields.
  * debian/copyright: updated all data.
  * debian/docs: added to install the README file.
  * debian/patches/:
      - Added 06-fix-arguments.patch to fix some strings without required
        arguments.
      - Edited 02-fix-wrong-use-of-hyphens-in-manpage.patch to add a fix to
        word "absence".
      - Reviewed and updated all headers to use DEP3 rules.
      - Updated 01-make-upstream-makefiles-parallel-build-safe.patch to add GCC
        hardening.
  * debian/README.source: removed because this file is not mandatory now.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to improve the GCC hardening.
      - Removed a reference for quilt.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 24 May 2015 01:21:11 -0300

detox (1.2.0-5) unstable; urgency=low

  * Further minimize debhelper configuration by using appropriate quilt
    version with the new debhelper sequence
  * Patch upstream Makefile to install safe.tbl
    Thanks to Nelson A. de Oliveira for the patch.
    (Closes: #566785)

  * Bump Standards-Version; no changes needed

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Wed, 23 Feb 2011 16:21:23 +0100

detox (1.2.0-4) unstable; urgency=low

  * [fcf76ff4] Update to debhelper 7
    - Make us of debhelper magic to minimize the rules file
    - Get rid of debian/install, because debhelper will do the
      right things
    - Update debhelper compat level and build dependency
  * [b7f0097b] Add a manpage for inline-detox(1)
  * [774e1ddc] Bump Standards-Version; no changes needed
  * [0a3319a0] Use utf8 in default sequence (Closes: #530872) - thanks
    to Teemu Likonen
  * [e3947b0f] Update the Vcs-* headers because we moved to git

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Wed, 02 Dec 2009 14:00:25 +0100

detox (1.2.0-3) unstable; urgency=low

  * Upload to unstable

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Wed, 25 Feb 2009 14:52:20 +0100

detox (1.2.0-2) experimental; urgency=low

  * Upload to experimental because lenny is frozen
  * Updated maintainers email address
  * Switch to quilt as patch system
    + Update build depends to use quilt instead of dpatch
    + Update debian/rules to use quilt
    + Rename 00list to series so that quilt knows what patches to apply
  * Clean up naming scheme for patches (make it more consistent)
  * Bump Standards-Version to 3.8.0
  * Added README.source to document patch handling for policy
    conformance

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Wed, 17 Sep 2008 16:19:30 +0200

detox (1.2.0-1) unstable; urgency=low

  * New upstream version
  * Update patch 01-make-upstream-makefiles-parallel-build-safe.dpatch
    to apply to the new upstream version
  * Remove "permission fix" from debian/rules as its no longer needed
  * Updated debian/copyright to the new version of the package
  * Include updated patch for wrong use of hyphens in manpage provided by the
    upstream author

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Sat, 12 Apr 2008 11:55:01 +0200

detox (1.1.1-4) unstable; urgency=low

  * Use a chmod 644 instead of chmod -x to fix the permissions of some files,
    to fix FTBFS that happens under some conditions
  * Add copyright notice with year to debian/copyright to fix lintian warning
  * Add a patch to fix the wrong use of hyphens in the detoxrc manpage
  * Make clean target depend on the unpatch target so that patches get
    unapplied on running clean
  * Replace (C) with © because of its legal entitlement
  * Add years to machine-parseable copyright information
  * Remove config.log in clean target, so that it does not get into the
    Debian diff.gz
  * Added a patch to remove build instructions from README file
  * Added full license text to debian/copyright, because its an own bsd-like
    license.
  * Relicensed debian packaging under the same license as detox

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Wed, 20 Feb 2008 13:10:58 +0100

detox (1.1.1-3) unstable; urgency=low

  * Fixed a typo in debian/rules (CFLAGS name)
  * Only use --host option to configure when cross-building
  * Added dpatch patch system
  * Added a patch to make upstream makefiles safe for parallel builds
  * Added Vcs-Headers to debian/control
  * Updated to Standards-Versions 3.7.3
  * Added machine-readable license/copyright informations to debian/copyright

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Mon, 03 Dec 2007 10:58:49 +0100

detox (1.1.1-2) unstable; urgency=low

  * Fixed missing URL in copyright file

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Thu, 25 Oct 2007 09:44:35 +0200

detox (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #447014)

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Wed, 17 Oct 2007 14:02:16 +0200
